//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloDocumentosFX
{
    using System;
    using System.Collections.Generic;
    
    public partial class deposito
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public deposito()
        {
            this.depositoLinea = new HashSet<depositoLinea>();
        }
    
        public int Id { get; set; }
        public System.DateTime fechaCreacion { get; set; }
        public string fechaDeposito { get; set; }
        public string banco { get; set; }
        public string archivo { get; set; }
        public string estado { get; set; }
        public string usuarioCreador { get; set; }
        public string VISUALid { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<depositoLinea> depositoLinea { get; set; }
    }
}
